summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-06-06 16:04:23 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-06-06 17:06:07 +0200
commit8ea97068f86f7c38eb7eba7b4834d24395ea63c8 (patch)
tree1a99302b57a044d70ab6ffc235920f12cd030996 /kde-apps/ktp-text-ui
parentdev-texlive/texlive-luatex: Add more blockers (diff)
downloadgentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.tar.gz
gentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.tar.bz2
gentoo-8ea97068f86f7c38eb7eba7b4834d24395ea63c8.zip
kde-apps: Add KDE Applications 19.04.2
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
Diffstat (limited to 'kde-apps/ktp-text-ui')
-rw-r--r--kde-apps/ktp-text-ui/Manifest1
-rw-r--r--kde-apps/ktp-text-ui/ktp-text-ui-19.04.2.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/kde-apps/ktp-text-ui/Manifest b/kde-apps/ktp-text-ui/Manifest
index b66ec4472e8..416d5495475 100644
--- a/kde-apps/ktp-text-ui/Manifest
+++ b/kde-apps/ktp-text-ui/Manifest
@@ -1,2 +1,3 @@
DIST ktp-text-ui-18.12.3.tar.xz 466320 BLAKE2B fefe62accb78dda2d4bc24209c2d2103ff743109ac90c97097e454a27e1d278a9c99b7b4d2b08fb07d9f50fbf39efb3d67ee7a4b4347e09509f6f052fd1e6fa8 SHA512 6612b53258cc171195d526fed18058b2b05099b7f77daef0d47a83ee473d73b1179d95a0b67cece531149abac68cb85e167afb8967d9553ca481b72bb2ab2f51
DIST ktp-text-ui-19.04.1.tar.xz 465360 BLAKE2B b0aed8e9fbcfef4aa6d7dc668f71b20e6965ccebb80e72669e3d24362d3557701ab0787ab490cefe08b54b5d0f86d9ecb4c8662867d2a886d8db5c030310f625 SHA512 8eeabd4300d687653f732e5733ed41a3dc460174043b731a47744f4d9ea472e25b4d42c4e95e7728cabe2105940364577cca402c26bdbb9e36896c827ca23cd2
+DIST ktp-text-ui-19.04.2.tar.xz 464468 BLAKE2B 726b4103cc2697b87a20e3477c8a8608cc8c1d1712d2a9b9bb6d6f8dbe8b7b500f8fc287e7b01c935a67feda29fa9b261e19e927415b2fc7eeebfbf0cd9def28 SHA512 13b1d6cd148d286aa0760238e3d5d39012929b5f301f0d8b711f50ad1109ca23ee0cf58a89794e69a37da9dd73cb326e3bc8fee1c893d235d7bdb1256d6add0e
diff --git a/kde-apps/ktp-text-ui/ktp-text-ui-19.04.2.ebuild b/kde-apps/ktp-text-ui/ktp-text-ui-19.04.2.ebuild
new file mode 100644
index 00000000000..98fb8f6ea94
--- /dev/null
+++ b/kde-apps/ktp-text-ui/ktp-text-ui-19.04.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="KDE Telepathy text chat window"
+HOMEPAGE="https://community.kde.org/Real-Time_Communication_and_Collaboration"
+
+LICENSE="Apache-2.0 || ( AFL-2.1 BSD ) GPL-2+ LGPL-2.1+ MIT"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="speech"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kemoticons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep knotifyconfig)
+ $(add_frameworks_dep kpeople)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep sonnet)
+ $(add_kdeapps_dep ktp-common-internals otr)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwebengine 'widgets')
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ net-libs/telepathy-qt[qt5(+)]
+ speech? ( $(add_qt_dep qtspeech) )
+"
+RDEPEND="${DEPEND}
+ $(add_kdeapps_dep ktp-contact-list)
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package speech Qt5TextToSpeech)
+ )
+
+ kde5_src_configure
+}